#include<bits/stdc++.h>

using namespace std;

bool resenje[10];
long long n[10],m[10],k[10];

int main(){
	int t;
	cin>>t;
	for(int i=0;i<t;i++){
		cin>>n[i]>>m[i]>>k[i];
		n[i]=n[i]-k[i]+1;
		m[i]=m[i]-k[i]+1;
		if(m[i]<n[i]*(n[i]+1)/2)resenje[i]=false;
		else{
			resenje[i]=true;
		}
	}
	for(int i=0;i<t;i++){
		if(resenje[i])cout<<"Tak \n";
		else cout<<"Nie \n";
	}
	return 0;
}